%define fname  cyr_rfx
%define cname  iso10646-0400
%define origname iso10646-0400
%define prefix %_x11libdir/X11

Name: XFree86-%fname-fonts-%cname
Version: 1.1
Release: alt2
License: distributable
Source: cyr-rfx-%origname-%version.bdfs.tar.bz2
Source1: Makefile.fonts-iso10646
Source4: fonts.alias.misc-iso10646
Source5: fonts.alias.75dpi-iso10646
Requires: XFree86 > 3.2
BuildArch: noarch
Group: System/Fonts/X11 bitmap
Summary: Cyrillic bitmap fonts for the X Window System in unicode encoding
PreReq: chkfontpath
Requires: chkfontpath >= 1.4.1

%description
Collection of cyrillic raster fonts for X Window System by D. Bolkhovityanov.

%prep
%setup -q -n  %origname
cd 75dpi
%__subst 's/-Adobe/-rfx/g' *.bdf
%__subst 's/\"Adobe/\"rfx/g' *.bdf
cd -
cd misc
%__subst 's/-Adobe/-rfx/g' *.bdf
%__subst 's/\"Adobe/\"rfx/g' *.bdf
cd -
cp %SOURCE1 ./Makefile
cp %SOURCE4 ./misc/fonts.alias
rm -f 75dpi/fonts.alias

%build
make

%install
mkdir -p $RPM_BUILD_ROOT%prefix/fonts/%cname
make FONTDIR=$RPM_BUILD_ROOT%prefix/fonts/%cname install

%post
if [ -f /etc/sysconfig/i18n ]; then
    . /etc/sysconfig/i18n
fi
if [ "$LANG" = "ru_RU.KOI8-R" ]; then
    /usr/sbin/chkfontpath -q --first -a  %prefix/fonts/%cname/75dpi:unscaled
    /usr/sbin/chkfontpath -q --first -a  %prefix/fonts/%cname/misc:unscaled
else
    /usr/sbin/chkfontpath -q -a  %prefix/fonts/%cname/75dpi:unscaled
    /usr/sbin/chkfontpath -q -a  %prefix/fonts/%cname/misc:unscaled
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r  %prefix/fonts/%cname/misc:unscaled
	/usr/sbin/chkfontpath -q -r  %prefix/fonts/%cname/75dpi:unscaled
fi

%files
%doc doc/*
%dir %prefix/fonts/%cname
%prefix/fonts/%cname/misc
%prefix/fonts/%cname/75dpi
%changelog
* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt2
- rebuild

* Wed Sep 18 2002 Alexey Dyachenko <alexd@altlinux.ru> 1.1-alt1
- first version
- copy spec from cyr_rfx koi8-r package
